Wine tools dla Linux Mandriva 2007


(Kamil1515) #1

Jak w temacie poszukuje programu winetools dla mandrivy 2007 na stronie domowej programu nie mawersji dla tego systemu tylko dla innych Gdy zainstaluje wersje z tej strony pojawia mi się błąd Winne tools can not run with a winne older that ..........

Mam najnowsza wesję wine

Czy ktoś może spotkał sie z podobnym problemem a może ma jakieghoś linka do wine tools pod mandrive bo czytałem gdzieś na forum że ten błąd występuje dletego iż mam nieodpowiednią wersję WINETOOLS dla mojego systemu

Z góry dziękuje za pomoc


(matiit) #2

a jest źródło?

Skompiluj źródło i powinno być dobrze.


(Andrzej Kwiatek) #3

Witam! Również spotkałem się z takim problemem. Przy uruchamianiu WineTools sprawdza wersję Wine i jeśli jest nieodpowiednia, tj. inna niż 0.9.1, 0.9.2 albo 0.9.3 to powoduje wyjście w programu. Aby ominąć ten problem należy wyedytować plik /usr/local/bin/wt, a dokładnie w ww. pliku wyszukać fragment kodu

" if ["$WINEVER" -lt "20050628"]; then

$DIALOG --title "eval_gettext " ***ERROR***"" \

--msgbox "eval_gettext "Winetools cannot run with a Wine version older than 20050628..."" 6 60

exit $1

fi"

i "zahashować" wiersz ze słowem exit:

exit $1

Program bedzie nadal monitował niezgodność wersji ale się załaduje. Można ewentualnie zahashować cały cytowany fragment kodu, lub zamiast komunikatu"Winetools cannot run.." wpisać jakieś miłe powitanie etc :smiley: